Bug 18871 - It is unclear how to view a patron list
Summary: It is unclear how to view a patron list
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-28 00:40 UTC by Aleisha Amohia
Modified: 2017-10-01 22:35 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18871: Make patron list name a link to view contents of list (1.47 KB, patch)
2017-06-28 00:42 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18871: Make patron list name a link to view contents of list (1.53 KB, patch)
2017-06-28 13:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18871: Make patron list name a link to view contents of list (1.61 KB, patch)
2017-08-30 19:55 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-06-28 00:40:24 UTC
At the moment, to view the patrons in a patron list (tools), you go to Actions -> Add patrons. This doesn't seem like a natural first step to viewing the contents of the patron list. The name of the patron list should be a link to see the contents of the patron list.
Comment 1 Aleisha Amohia 2017-06-28 00:42:32 UTC
Created attachment 64685 [details] [review]
Bug 18871: Make patron list name a link to view contents of list

The link is the same as the 'Add patrons' button in Actions dropdown,
but requires one less click, and makes finding the contents of the list
more obvious.

To test:
1) Go to Tools -> Patron lists
2) Create a patron list if you haven't already
3) Confirm that clicking the name of the list takes you to the correct
list and shows the expected content.

Sponsored-by: Catalyst IT
Comment 2 Owen Leonard 2017-06-28 13:05:55 UTC
Created attachment 64701 [details] [review]
[SIGNED-OFF] Bug 18871: Make patron list name a link to view contents of list

The link is the same as the 'Add patrons' button in Actions dropdown,
but requires one less click, and makes finding the contents of the list
more obvious.

To test:
1) Go to Tools -> Patron lists
2) Create a patron list if you haven't already
3) Confirm that clicking the name of the list takes you to the correct
list and shows the expected content.

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2017-08-30 19:55:15 UTC
Created attachment 66655 [details] [review]
Bug 18871: Make patron list name a link to view contents of list

The link is the same as the 'Add patrons' button in Actions dropdown,
but requires one less click, and makes finding the contents of the list
more obvious.

To test:
1) Go to Tools -> Patron lists
2) Create a patron list if you haven't already
3) Confirm that clicking the name of the list takes you to the correct
list and shows the expected content.

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2017-08-30 20:01:59 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-09-29 13:56:57 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 6 Katrin Fischer 2017-10-01 22:35:41 UTC
This patch has been pushed to 16.11.x and will be in 16.11.13.